Bug 1284687 - [abrt] gnome-shell: cogl_texture_get_height(): gnome-shell killed by SIGSEGV
[abrt] gnome-shell: cogl_texture_get_height(): gnome-shell killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:2e2a8b2e6695a0973f04963254e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 17:16 EST by Matthias Kluge
Modified: 2016-12-20 11:12 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:12:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (43.77 KB, text/plain)
2015-11-23 17:16 EST, Matthias Kluge
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-23 17:16 EST, Matthias Kluge
no flags Details
File: core_backtrace (19.75 KB, text/plain)
2015-11-23 17:16 EST, Matthias Kluge
no flags Details
File: dso_list (25.98 KB, text/plain)
2015-11-23 17:16 EST, Matthias Kluge
no flags Details
File: environ (909 bytes, text/plain)
2015-11-23 17:16 EST, Matthias Kluge
no flags Details
File: exploitable (100 bytes, text/plain)
2015-11-23 17:16 EST, Matthias Kluge
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-23 17:16 EST, Matthias Kluge
no flags Details
File: maps (144.73 KB, text/plain)
2015-11-23 17:16 EST, Matthias Kluge
no flags Details
File: mountinfo (3.62 KB, text/plain)
2015-11-23 17:16 EST, Matthias Kluge
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-23 17:16 EST, Matthias Kluge
no flags Details
File: open_fds (6.55 KB, text/plain)
2015-11-23 17:16 EST, Matthias Kluge
no flags Details
File: proc_pid_status (1020 bytes, text/plain)
2015-11-23 17:16 EST, Matthias Kluge
no flags Details
File: var_log_messages (2.48 KB, text/plain)
2015-11-23 17:16 EST, Matthias Kluge
no flags Details

  None (edit)
Description Matthias Kluge 2015-11-23 17:16:22 EST
Version-Release number of selected component:
gnome-shell-3.18.3-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell --wayland --display-server
crash_function: cogl_texture_get_height
executable:     /usr/bin/gnome-shell
global_pid:     4023
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 cogl_texture_get_height at cogl-texture.c:216
 #1 meta_shaped_texture_get_image at compositor/meta-shaped-texture.c:867
 #2 shell_util_get_content_for_window_actor at shell-util.c:448
 #3 ffi_call_unix64 at ../src/x86/unix64.S:76
 #4 ffi_call at ../src/x86/ffi64.c:525
 #5 gjs_invoke_c_function at gi/function.cpp:997
 #6 function_call at gi/function.cpp:1319
 #7 js::CallJSNative at /usr/src/debug/mozjs-24.2.0/js/src/jscntxtinlines.h:321
 #8 js::Invoke at /usr/src/debug/mozjs-24.2.0/js/src/vm/Interpreter.cpp:474
 #9 Interpret at /usr/src/debug/mozjs-24.2.0/js/src/vm/Interpreter.cpp:2298
Comment 1 Matthias Kluge 2015-11-23 17:16:28 EST
Created attachment 1097869 [details]
File: backtrace
Comment 2 Matthias Kluge 2015-11-23 17:16:29 EST
Created attachment 1097870 [details]
File: cgroup
Comment 3 Matthias Kluge 2015-11-23 17:16:31 EST
Created attachment 1097871 [details]
File: core_backtrace
Comment 4 Matthias Kluge 2015-11-23 17:16:33 EST
Created attachment 1097872 [details]
File: dso_list
Comment 5 Matthias Kluge 2015-11-23 17:16:35 EST
Created attachment 1097873 [details]
File: environ
Comment 6 Matthias Kluge 2015-11-23 17:16:36 EST
Created attachment 1097874 [details]
File: exploitable
Comment 7 Matthias Kluge 2015-11-23 17:16:38 EST
Created attachment 1097875 [details]
File: limits
Comment 8 Matthias Kluge 2015-11-23 17:16:41 EST
Created attachment 1097876 [details]
File: maps
Comment 9 Matthias Kluge 2015-11-23 17:16:42 EST
Created attachment 1097877 [details]
File: mountinfo
Comment 10 Matthias Kluge 2015-11-23 17:16:44 EST
Created attachment 1097878 [details]
File: namespaces
Comment 11 Matthias Kluge 2015-11-23 17:16:45 EST
Created attachment 1097879 [details]
File: open_fds
Comment 12 Matthias Kluge 2015-11-23 17:16:47 EST
Created attachment 1097880 [details]
File: proc_pid_status
Comment 13 Matthias Kluge 2015-11-23 17:16:48 EST
Created attachment 1097881 [details]
File: var_log_messages
Comment 14 Mikhail 2016-02-15 10:55:55 EST
Similar problem has been detected:

Occurs after launching game BADLAND: Game of the Year Edition
http://store.steampowered.com/app/269670/

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: cogl_texture_get_height
executable:     /usr/bin/gnome-shell
global_pid:     2179
kernel:         4.3.5-300.fc23.x86_64+debug
package:        gnome-shell-3.18.3-1.fc23
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Kamil Páral 2016-03-07 04:22:33 EST
Similar problem has been detected:

I think this happened when changing fullscreen states in game Dota 2.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        gnome-shell --sm-client-id 103695dea5a95c12dc144649026398474700000070320000
crash_function: cogl_texture_get_height
executable:     /usr/bin/gnome-shell
global_pid:     1565
kernel:         4.4.3-300.fc23.x86_64
package:        gnome-shell-3.18.4-1.fc23
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Delyan Kratunov 2016-05-21 03:55:33 EDT
Similar problem has been detected:

I was playing a video using VLC in a maximized window, underneath the current window. I switched to the video and then this crash happened. No idea how to repro this.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell --wayland --display-server
crash_function: cogl_texture_get_height
executable:     /usr/bin/gnome-shell
global_pid:     17164
kernel:         4.3.5-300.fc23.x86_64
package:        gnome-shell-3.18.5-1.fc23
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 17 hx 2016-10-22 06:21:35 EDT
Any update on this?
Comment 18 Fedora End Of Life 2016-11-24 08:40:28 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2016-12-20 11:12:40 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.